# Line and Surface

Web presentation of the Line and Surface project.

Live at https://sdbs.cz/las/.


## Authoring

**(Taken directly from [Digital Garage Anabasis](https://garage.sdbs.cz/tools.inkscape.las.authoring.md) - yet to be tidied up)**

### links
#### anchors
- object ---> right click ---> create link
- id without hashtag

- anchor <---description <---#anchor_id <---rectangle

#### hyperlink
- object ---> right click ---> create link
- href >>> url

#### intro / start
- square
- object properties
--> id `start`


### movies
- image file --> object properties
- ---> description
- `down / up /... / up left / right down /....`
- new line
- `motion_source/sutr1/files.lst`
- ---> ! set button !
- `down
motion_source/sutr1/files.lst
`


#### linux list
```sh
ls *.png > files.lst
```

#### windows list
The method is the same as for all versions of Windows, starting with Windows 3.1 (from 1985!):

1.  Open File Explorer.
2.  Navigate to the folder under scrutiny.
3.  Press Ctrl+L
4.  Type this command (or use copy/paste) and press Enter:  
    cmd  /c  dir  /b  > "%temp%\\Dir.txt"  & notepad  "%temp%\\Dir.txt"
	
### sound
- circle (ELLIPSE NONONO)
- object properties ---> desription
- sound_source/xxx.mp3
- ---> ! set button !


### Interaction manual
double click - fullscreen
click with middle button - grab
spacebar - anchor //intro
mouse pointer --> edge - edge scrolling [fullscreen must be on]


### image optimizations

#### png
`parallel --lb --tag optipng -o 5 -i 1 ::: **/*.png`

- `parallel` = process in [parallel](https://www.gnu.org/software/parallel/)
- `-o 5` = ridiculously high optimization
- `-i 1` = turn on [interlacing](https://blog.codinghorror.com/progressive-image-rendering/)

#### jpeg
`parallel --lb --tag jpegoptim --all-progressive --force ::: **/*.jpg`
